From b11c9ef640005db08b81e329ba751110e45baaae Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 22 2020 00:26:22 +0000
Subject: [PATCH 1775/2232] Show intended usage example on attrs::Parser


---

diff --git a/syntax/attrs.rs b/syntax/attrs.rs
index 18e92e2..2bc03ea 100644
--- a/syntax/attrs.rs
+++ b/syntax/attrs.rs
@@ -6,6 +6,24 @@ use proc_macro2::Ident;
 use syn::parse::{ParseStream, Parser as _};
 use syn::{Attribute, Error, LitStr, Path, Result, Token};
 
+// Intended usage:
+//
+//     let mut doc = Doc::new();
+//     let mut cxx_name = None;
+//     let mut rust_name = None;
+//     /* ... */
+//     attrs::parse(
+//         cx,
+//         &item.attrs,
+//         attrs::Parser {
+//             doc: Some(&mut doc),
+//             cxx_name: Some(&mut cxx_name),
+//             rust_name: Some(&mut rust_name),
+//             /* ... */
+//             ..Default::default()
+//         },
+//     );
+//
 #[derive(Default)]
 pub struct Parser<'a> {
     pub doc: Option<&'a mut Doc>,

